<?php
        session_start();
        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }
        if($prihlaseni) { header("Location: index.php"); }
        $time = date("U");
        dotaz("DELETE FROM forum_potvrdit WHERE time < '$time';");
        if(isset($_POST[registrovat])) {
                $chyba_registrace .= over_cislo($_POST[sifra],$_POST[cislo]);
                $jmeno = orez_retezec($_POST[jmeno]);
                dotaz("SELECT id FROM forum_uzivatele WHERE (jmeno = '$jmeno');");
                if(mysql_affected_rows() != 0) { $chyba_registrace .= "&nbsp;- uživatel s přihlašovacím jménem <b>".$_POST[jmeno]."</b> již existuje<br />"; }
                $email = orez_retezec($_POST[email]);
                dotaz("SELECT id FROM forum_uzivatele WHERE (email = '$email');");
                if((mysql_affected_rows() != 0) && (!empty($email))) { $chyba_registrace .= "&nbsp;- email <b>".$_POST[email]."</b> je v tomto fóru již registrován<br />"; }
                $heslo = orez_retezec_2($_POST[heslo]);
                if(strlen($heslo) < 5) { $chyba_registrace .= "&nbsp;- heslo musí mít minimálně 5 znaků<br />"; }
                $heslo_znovu = orez_retezec_2($_POST[heslo_znovu]);
                if($heslo != $heslo_znovu) { $chyba_registrace .= "&nbsp;- hesla se neshodují<br />"; }
                $chyba_registrace .= overeni_vyplneni($_POST[jmeno], "Jméno");
                $chyba_registrace .= overeni_vyplneni($_POST[heslo], "Heslo");
                $chyba_registrace .= overeni_vyplneni($_POST[heslo_znovu], "Heslo znovu");
                if($potvrzeni_emailem == 1) { $chyba_registrace .= overeni_vyplneni($_POST[email], "Email"); }
                if($_POST[cislo] == "") { $chyba_registrace .= "&nbsp;- povinné pole <b>Opište číslicí</b> nebylo vyplněno<br />"; }
                if($email) {
                        $cast1 = '[-a-z0-9!#$%&\'*+/=?^_`{|}~]';
                        $cast2 = '[a-z0-9]([-a-z0-9]{0,61}[a-z0-9])';
                        if(!eregi("^$cast1+(\\.$cast1+)*@($cast2?\\.)+$cast2\$", $email)) {
                                $chyba_registrace .= "&nbsp;- email je uveden v nesprávném formátu (jmeno@domena.koncovka)<br />";
                        }
                }
                if($_POST[icq]) {
                        $icq = str_replace("-","",$_POST[icq]);
                        if(!eregi("^[0-9]{8,10}$",$icq)) {
                                $chyba_registrace .= "&nbsp;- ICQ smí obsahovat pouze číslice, jejich počet je 8 až 10.<br />";
                        }
                }
                if($_POST[www]) { $www = str_replace("http://", "", orez_retezec_2($_POST[www])); }
                if(!empty($chyba_registrace)) {
                        $chyba_registrace = "<br /><b>Registrace nebyla úspěšná. Možné příčiny:</b><br />".$chyba_registrace;
                        $polozky_registrace = Array($_POST[jmeno], $_POST[email], $_POST[www], $_POST[icq], $_POST[jabber], $_POST[skype], $_POST[msn]);
                        $ukonceni_registrace = FALSE;
                } else {
                        $jabber = orez_retezec_2($_POST[jabber]);
                        $skype = orez_retezec_2($_POST[skype]);
                        $msn = orez_retezec_2($_POST[msn]);
                        $jmeno = orez_retezec_2($_POST[jmeno]);
                        $heslo = sha1(orez_retezec_2($_POST[heslo]));
                        if($potvrzeni_emailem == 1) {
                                $klic_registrace = md5($time);
                                $time = $time + 24 * 3600;
                                $reg_url = "http://".$_SERVER[SERVER_NAME].$_SERVER[REQUEST_URI];
                                $reg_url = str_replace("registrace.php", "potvrzeni.php?klic=", $reg_url);
                                $zprava = "Pro dokončení registrace do fóra klikněte na následující odkaz: <a href=\"".$reg_url.$klic_registrace."\">".$reg_url.$klic_registrace."</a>";
                                $predmet = "Potvrzeni registrace do fora";
                                $hlavicky .= "From: $odesilatel <$email>\n";
                                $hlavicky .= "X-Sender: <$email>\n";
                                $hlavicky .= "Content-Type: text/html; charset=utf-8\n";
                                mail($email, $predmet, $zprava, $hlavicky);
                                dotaz("INSERT INTO forum_potvrdit SET jmeno = '$jmeno', email = '$email', heslo = '$heslo', www = '$www', icq = '$icq', skype = '$skype', msn = '$msn', klic = '$klic_registrace', time = '$time',userType= 'registered';");
                                $ukonceni_registrace = "email";
                        } else {
                                $mesice = Array("ledna", "února", "března", "dubna", "května", "června", "července", "srpna", "září", "října", "listopadu", "prosince");
                                $mesic = date("n") - 1;
                                $zalozen = date("j").".".$mesice[$mesic]." ".date("Y");
                                dotaz("INSERT INTO forum_uzivatele SET jmeno = '$jmeno', email = '$email', heslo = '$heslo', icq = '$icq', skype = '$skype', msn = '$msn', admin = '0', prispevku = '0', temat = '0', userType= 'registered';");
                                $ukonceni_registrace = "no_email";
                        }
                }
        }
        echo hlavicka("$forum_jmeno | Registrace");
        echo logo();
        echo menu();
        if(!$ukonceni_registrace) {
                $js_form = js_form();
?>        
<div id="navigace">Registrace nového uživatele
</div>        
<form action="registrace.php" method="post" id="registrace">                   
  <fieldset>                             
    <legend>Registrace     
    </legend>                             
    <?php echo $chyba_registrace; ?>                         <h3>Povinné údaje:</h3>                             
    <label>Jméno:     
    </label>    
    <input type="text" name="jmeno" value="<?php echo $polozky_registrace[0]."\" ".$js_form; ?> /><br />                             
    <?php if($potvrzeni_emailem == 1) { echo "<label>Email:</label><input type=\"text\" name=\"email\" value=\"".$polozky_registrace[1]."\" ".$js_form." /><br />\n"; } ?>                             
    <label>Heslo:     
    </label>    
    <input type="password" name="heslo" <?php echo $js_form; ?> /><br />                             
    <label>Heslo znovu:     
    </label>    
    <input type="password" name="heslo_znovu" <?php echo $js_form; ?> /><br />                             
    <label>Opište číslicí:* <b>        
        <?php $cislo_sifra = nahodne_cislo(); echo $cislo_sifra[cislo]; ?></b>    
    </label>    
    <input type="text" name="cislo" id="kod" <?php echo $js_form; ?> />    
    <input type="hidden" name="sifra" value="<?php echo $cislo_sifra[sifra]; ?>" /><br />                        <h3>Nepovinné údaje:</h3>                                                      
    <?php if($potvrzeni_emailem == 0) { echo "<label>Email:</label><input type=\"text\" name=\"email\" value=\"".$polozky_registrace[1]."\" ".$js_form." /><br />\n"; } ?>                              
    <label>ICQ:     
    </label>    
    <input type="text" name="icq" value="<?php echo $polozky_registrace[3]."\" ".$js_form; ?> /><br />                             
    <label>Skype:     
    </label>    
    <input type="text" name="skype" value="<?php echo $polozky_registrace[5]."\" ".$js_form; ?> /><br />                             
    <label>MSN Messenger:     
    </label>    
    <input type="text" name="msn" value="<?php echo $polozky_registrace[6]."\" ".$js_form; ?> /><br />                             
    <input type="submit" name="registrovat" value="Registrovat se" id="odeslat" /><br />                     
    </fieldset>        
</form>
<?php 
        } else {
                echo "\t\t<div id=\"navigace\">Registrace nového uživatele</div>\n\t\t";
                if($ukonceni_registrace == "no_email") {
                        echo "<div id=\"oznameni\"><b>Registrace byla úspěšně dokončena.</b><br />Nyní se již můžete <a href=\"prihlaseni.php\" title=\"Přihlášení\">přihlásit</a></div>\n";
                } else {
                        echo "<div id=\"oznameni\">Na váš email <b>".$_POST[email]."</b> byl zaslán aktivační email. Po kliknutí na odkaz v emailu se váš účet aktivuje.<br /> Aktivaci je nutno provés do 24 hod.</div>\n";
                }
        }
        echo $paticka; 
?>